Quassel IRC - Bug #580

nick-dropdown is updated even if nickchange fails
02/24/2009 03:17 PM - pennywise

Status: Resolved Start date: 02/24/2009
Priority: Normal Due date:

Assignee: % Done: 100%
Category: Quassel GUI (Qt) Estimated time: 0.00 hour
Target version:

Version: 0.4.0 0S: Windows
Description

| just tried to change my nick from "penny|wise" (old) to "pennywise" (new) with that nick-dropdown-selector next to the input line.
Freenode sent me that answer:

* 438 pennywise #quassel-announce Cannot send to channel so cannot change nicks

Sput said, that's a freenode feature, but:

if the nickchange fails (like in that 438-response), the nick-dropdown should not select the "new" nick, but rather switch back to the
"old" one.

Issue #492 could be related to this.

Associated revisions

Revision 7d60f99585a77181280d3ddc526777e74c9412a1 - 03/11/2009 05:51 PM - Marcus Eggenberger

fixes #580 - nick-dropdown is updated even if nickchange fails

Revision 7d60f995 - 03/11/2009 05:51 PM - Marcus Eggenberger

fixes #580 - nick-dropdown is updated even if nickchange fails

Revision 00676d2c00f8dbc2806145b9c219c6e4ccbaeOc1 - 03/11/2009 07:20 PM - Marcus Eggenberger

fixes #580 - nick-dropdown is updated even if nickchange fails

Revision 00676d2c - 03/11/2009 07:20 PM - Marcus Eggenberger

fixes #580 - nick-dropdown is updated even if nickchange fails

History

#1 - 03/11/2009 08:05 PM - EgS
- Status changed from New to Resolved

- % Done changed from 0 to 100

Applied in changeset 7d60f99585a77181280d3ddc526777e74c9412al.
